Skip to content

Payout service APIs (1.0.0)

Payout service APIs

Languages
Servers
Mock server

https://docs.ripple.com/_mock/products/payments-direct/api-docs/payout-service/payout-service/

Forex

Operations

Get forex rates

Request

Returns a list of foreign exchange rates for a given base/counter currency pair

Security
oauth2
Query
base_currencystring^[A-Z]{3,4}$required

The base currency code (ISO 4217)

counter_currencystring^[A-Z]{3,4}$required

The counter currency code (ISO 4217)

partner_namestring

The name of the payout partner

partner_idstring(uuid)

The id of the payout partner

curl -i -X GET \
  'https://docs.ripple.com/_mock/products/payments-direct/api-docs/payout-service/payout-service/v1/forex?base_currency=string&counter_currency=string&partner_name=string&partner_id=497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Returns an exchange rate matching the criteria

Bodyapplication/jsonArray [
payout_partner_idstring(uuid)

The id of the payout partner

payout_partner_namestring

The name of payout partner

base_currencystring^[A-Z]{3,4}$required

The base currency code (ISO 4217)

Example: "EUR"
counter_currencystring^[A-Z]{3,4}$required

The counter currency code (ISO 4217)

Example: "AUD"
ratestring(double)required

The FX currency rate

Example: "1.47289"
expirystring(date-time)

The FX rate expiry date

]
Response
application/json
[ { "payout_partner_id": "65606de6-d86e-468e-8e69-55184fddf40c", "payout_partner_name": "string", "base_currency": "EUR", "counter_currency": "AUD", "rate": "1.47289", "expiry": "2019-08-24T14:15:22Z" } ]

Payout Partner

Operations

Payout Method

Operations

Data requirements

Operations

Payouts

Operations

PayoutsV2

Operations

Quotes

Operations

Webhooks

Operations

Tranglo

Operations

Routing

Operations

Data Requirement

Operations